org.apache.ignite.internal.processors.platform.cache

## Interface PlatformCacheExtension

All Known Implementing Classes:
  PlatformDotNetEntityFrameworkCacheExtension, PlatformDotNetSessionCacheExtension

    public interface PlatformCacheExtension

Platform cache extension. Decouples other modules from cache.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `id()` Get extension ID.
`long` `processInOutStreamLong(PlatformCache target, int type, BinaryRawReaderEx reader, PlatformMemory mem)` Invokes in-out operation with long return type.

### Method Detail

#### id

    int id()

Get extension ID. Must be unique among all extensions.

Returns:
  Extension ID.

#### processInOutStreamLong

    long processInOutStreamLong(PlatformCache target,
                                int type,
                                BinaryRawReaderEx reader,
                                PlatformMemory mem)
                         throws IgniteCheckedException

Invokes in-out operation with long return type.

Parameters:
  `target` - Target cache.
  `type` - Operation type.
  `reader` - Reader.
  `mem` - Memory.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023